#!/bin/bash

# Primitive testing script to check that the JSONs are valid.

if ! jq --version &> /dev/null; then
    echo "You need to install jq to run this script"
    exit 1
fi

ret=0
while read -r l
do
	if ! jq --exit-status '.route | .[] | .description' < "$l" > /dev/null 2>&1
	then
		echo "$l is invalid." >&2
		ret=1
	else
		#echo "$l is valid."
		:
	fi
done < <(find "$PWD" -name '*.json' -type f)

exit $ret
